Skip to main content
`Ctrl`+`K`

# KSPMINRESSetRadius

Set the maximum solution norm allowed for use with trust region methods

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMINRESSetRadius(KSP ksp, PetscReal radius)

Logically Collective

## Input Parameters

- ksp - the iterative context

- radius - the value

## Options Database Key

- -ksp_minres_radius <real> - maximum allowed solution norm

## Developer Note

Perhaps the KSPXXXSetRadius() should be unified

## See Also

KSP: Linear System Solvers, `KSP`, `KSPMINRES`, `KSPMINRESSetUseQLP()`

## Level

beginner

## Location

src/ksp/ksp/impls/minres/minres.c

## Implementations

KSPMINRESSetRadius_MINRES() in src/ksp/ksp/impls/minres/minres.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages